from dataclasses import dataclass
from datetime import datetime

@dataclass
class Measurement24v:
  timestamp: datetime
  source: str
  current: tuple[float, ...]
  status: tuple[bool, ...]
  overload: tuple[bool, ...]
  short_circuit: tuple[bool, ...]
  limit: tuple[bool, ...]
  pushbutton: tuple[bool, ...]
  voltage: float
  series = "24v"

@dataclass
class Measurement480v:
  timestamp: datetime
  source: str
  voltage: tuple[float, ...]
  current: tuple[float, ...]
  phase: tuple[float, ...]
  series = "480v"